db4o |

# ObjectCallbacks.ObjectCanDelete Method

called before an Object is deleted.

bool ObjectCanDelete(
ObjectContainer container
);

#### Parameters

container
  the

      ObjectContainer

  the object is stored in.

#### Return Value

false to prevent the object from being deleted.

#### Remarks

called before an Object is deleted.
In a client/server setup this callback method will be executed on the server.

#### See Also

ObjectCallbacks Interface | com.db4o.ext Namespace